@(repository: gitbucket.core.service.RepositoryService.RepositoryInfo, deployKeys: List[gitbucket.core.model.DeployKey])(implicit context: gitbucket.core.controller.Context) @import gitbucket.core.ssh.SshUtil @import gitbucket.core.view.helpers @gitbucket.core.html.main("Deploy keys", Some(repository)){ @gitbucket.core.html.menu("settings", repository){ @gitbucket.core.settings.html.menu("deploykeys", repository){
Deploy keys
@if(deployKeys.isEmpty){ No keys } @deployKeys.zipWithIndex.map { case (key, i) => @if(i != 0){

} @key.title (@SshUtil.fingerPrint(key.publicKey).getOrElse("Key is invalid.")) @if(key.allowWrite){ Write access } Delete }
Add a deploy key
Title
Key
Allow write access
} } }